'use strict';


var app = require('~/cartridge/scripts/app');
var guard = require('~/cartridge/scripts/guard');

/* API Includes */
var Cart = require('~/cartridge/scripts/models/CartModel');
var PaymentMgr = require('dw/order/PaymentMgr');
var OrderMgr = require('dw/order/OrderMgr');
var Transaction = require('dw/system/Transaction');
var URLUtils = require('dw/web/URLUtils');

var libPayment = require('int_payment_core/cartridge/scripts/lib/libPayment.ds')
var parameterMap = request.httpParameterMap;

/**
 * Send Order attributes to Payment.
 */
function Authorize(args) {
	var masterPassData = libPayment.MasterpassEcommerceData(args.Order, customer, request.locale, false);

    return {
        Order          : args.Order,
        MasterPassData : masterPassData,
        RedirectURL    : 'masterpassEcommerceTemplate'
    };
}

/**
 * Create a payment instrument for Ecommerce
 */
function Handle(args) {
	if(args.Basket == null || session.forms.billing.paymentMethods.selectedPaymentMethodID.value == null){
		return {error: true};
	}

	var cart = app.getModel('Cart').get(args.Basket);
	var paymentType = session.forms.billing.paymentMethods.selectedPaymentMethodID.value;

    Transaction.wrap(function () {
		libPayment.EcommerceCreatePaymentInstrument(cart.object, paymentType);
    });

    return {success: true};

}

exports.Authorize = Authorize;
exports.Handle = Handle;
